<div class="header bg-gradient-info pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
      <div class="header-body">
        <!-- Card stats -->
        <div class="row"></div>
      </div>
    </div>
  </div>
  
  <!-- Page content -->
  <div class="container-fluid mt--7">
    <!-- Table -->
    <div class="row">
      <div class="col">
        <div class="card shadow">
          <div class="card-header border-0">
            <h3 class="mb-0">Matchs TABLE</h3>
          </div>
          <div class="table-responsive" style="padding-bottom: 100px;"> <table class="table">
            <thead class="thead-light">
              <tr><th >Code Trustit</th>
                <th >Modele</th>
                <th >IMEI / SERIAL</th>
                <th >diagnostic</th>
                <th >Nom et prenom du donateur</th>
                <th >Nom et prenom du Bénéficiaire</th>
                <th >Adresse du Donateur</th>
                <th >Adresse du Bénéficiaire</th>
                <th >Statut</th>
                <th >Code logistique</th>
                <th >Actions</th>
              </tr>
            </thead>
            <tbody *ngFor="let va of data">
              <tr ><td>{{ va.idDon.code_trustit}}</td>
                <td>{{ va.idDon.modele}}</td>
                <td>{{ va.idDon.IMEI_SERIAL}}</td>
                <td>{{ va.idDon.diagnostic}}</td>
                <td>{{ va.idDon.nom }} {{ va.idDon.prenom }}</td>
                <td>{{ va.idProfit.nom }} {{ va.idProfit.prenom }}</td>
             
                <td>
                  {{ va.idDon.adresse }}
                </td>
                <td>
                  {{ va.idProfit.adresse }}
                </td>
                <td>
                  <input [(ngModel)]="va.etat" />
                </td>
                <td>
                  <input [(ngModel)]="va.code_logistique" />
                </td>
                <td>
                  <div ngbDropdown placement="bottom-right">
                    <a class="btn btn-sm btn-icon-only text-light"  ngbDropdownToggle>
                      <i class="fas fa-ellipsis-v"></i>
                    </a>
                    <div ngbDropdownMenu class=" dropdown-menu-right dropdown-menu-arrow">
                      <a class="dropdown-item"  (click)="funct(va)">Detail</a>
                      <a class="dropdown-item" (click)="delete(va)">supprimer</a>
                      <a class="dropdown-item" (click)="chnage(va)">save</a>
  
                    </div>
                  </div>
  
  
                </td>
              </tr>
            </tbody>
          </table></div>
         
  
          <div class="card-footer py-4"></div>
        </div>
      </div>
    </div>
  </div>
  